<?php
class ControllerModuleCzater extends Controller {
	public function index() {
		$this->load->language ( 'module/Czater' );
		
		$data ['heading_title'] = $this->language->get ( 'heading_title' );
		$Czater_code = $this->config->get ( 'Czater_code' );
		
		preg_match('/[0-9a-f]{40}/i', $Czater_code , $matches);
		$czaterId = $matches[0];
		
		$data ['czaterId'] = $czaterId;
                
                if($this->config->get ( 'Czater_autoCompliteLogin' ) == 1)
                    $data ['username'] = $this->customer->getFirstName()." ".$this->customer->getLastName();
                else
                    $data ['username'] = "";
                
                if($this->config->get ( 'Czater_autoCompliteEmail' ) == 1)
                    $data ['email'] = $this->customer->getEmail();
		else
                    $data ['email'] = "";
                
                
		if (file_exists ( DIR_TEMPLATE . $this->config->get ( 'config_template' ) . '/template/module/Czater.tpl' )) {
			return $this->load->view ( $this->config->get ( 'config_template' ) . '/template/module/Czater.tpl', $data );
		} else {
			return $this->load->view ( 'default/template/module/Czater.tpl', $data );
		}
	}
        
        protected function get_string_between($string, $start, $end){
            $string = " ".$string;
            $ini = strpos($string,$start);
            if ($ini == 0) return "";
            $ini += strlen($start);
            $len = strpos($string,$end,$ini) - $ini;
            return substr($string,$ini,$len);
        }
}
